Bug Hunting Session
Bug 50716 - FORMCONTROLS: Listbox FormControl - "contents of the linked cell" reverts to "Position" not "Selected Entry"
Summary: FORMCONTROLS: Listbox FormControl - "contents of the linked cell" reverts to ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 96846 (view as bug list)
Depends on:
Blocks: Form-Controls
  Show dependency treegraph
 
Reported: 2012-06-05 02:41 UTC by muldoon
Modified: 2017-06-25 11:06 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot of listbox form control after reversion to "position" rather than "value" (40.20 KB, image/jpeg)
2012-06-05 02:41 UTC, muldoon
Details
example document to allow others to check on other build (269.50 KB, application/vnd.ms-excel)
2013-02-12 10:43 UTC, muldoon
Details
Example file showing correct behaviour when saved in ods format (112.86 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-02-12 10:45 UTC, muldoon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description muldoon 2012-06-05 02:41:08 UTC
Created attachment 62564 [details]
screenshot of listbox form control after reversion to "position" rather than "value"

Problem description: 
Listbox Data FormControl - "contents of the linked cell" reverts to "Position" not "Selected Entry" after the file is saved and re-opened.

Steps to reproduce:
1. Create an array of three or four values (L37:L39)
2. Create a listbox
3. Set up the listbox to scroll the three values and place the selected value in a destination cell (L35)
4. Save, re-open, display the destination cell, select the listbox and scroll through it, the destination cell will not take the selected value, but the position of the selected value within the array list. 


Current behavior:
After Save and File/Open the position in the array is sent to the destination cell.

Expected behavior:
the selected value is sent to the destination cell.

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:12.0) Gecko/20100101 Firefox/12.0
Comment 1 bfoman (inactive) 2013-01-09 10:16:54 UTC
Could you attach any example documents to allow others to check on different
system/build?
Comment 2 muldoon 2013-02-12 10:43:44 UTC
Created attachment 74671 [details]
example document to allow others to check on other build

Hi, 

The attached xls file demonstrates the loss (when saved as an Excel file) of the listbox parameter choosing between saving the listbox position or the listbox value into the linked cell. 
Saved under excel, this parameter defaults to saving the lisbox position. 
When saved as an ODS file, the parameter saving either the listbox value or the listbox position is not lost (see attached ods file). 

Best regards
Dennis
Comment 3 muldoon 2013-02-12 10:45:45 UTC
Created attachment 74672 [details]
Example file showing correct behaviour when saved in ods format

Hi, 

The attached ods file demonstrates correct saving of the listbox parameter that chooses between saving the listbox position or the listbox value into the linked cell. 
Saved under excel, this parameter defaults to saving the listbox position. 
When saved as an ODS file, the parameter saving either the listbox value or the listbox position is not lost (see attached ods file). 

Best regards
Dennis
Comment 4 QA Administrators 2013-09-24 01:58:50 UTC Comment hidden (obsolete)
Comment 5 muldoon 2013-09-24 09:21:07 UTC
Status changed to Unconfirmed as per admin request. 
NB: Bug is present when saving under .xls format but not when saving in .ods format.
Comment 6 Owen Genat (retired) 2014-07-28 13:16:50 UTC
(In reply to comment #5)
> NB: Bug is present when saving under .xls format but not when saving in .ods

Not sure why this has taken so long to confirm. There does indeed appear to be a problem with saving the value of the list box selection for XLS. Edit the Control > Data tab > Contents of the linked cell > set to "The selected entry". Upon exiting design mode, changing the pull-down, saving the file, closing, and re-opening, the setting has reverted to "Position of the selected entry" and the list box displays a blank entry. Tested under GNU/Linux using:

- v3.5.7.2 Build ID: 3215f89-f603614-ab984f2-7348103-1225a5b
- v4.1.6.2 Build ID: 40ff705089295be5be0aae9b15123f687c05b0a
- v4.3.0.3 Build ID: 08ebe52789a201dd7d38ef653ef7a48925e7f9f7
- v4.2.5.2 Build ID: 61cb170a04bb1f12e77c884eab9192be736ec5f5
- v4.4.0.0.alpha0+ Build ID: 4aa9b041de3129f19b48e66d349f48657b73f33e (2014-07-19)

All versions fail to save the value of the list box. Status set to NEW.
Comment 7 ign_christian 2014-07-29 06:36:43 UTC
In addition we can reach the form control via:
View > Toolbars > Form Controls

Then click upper right "Design Mode On/Off" button > select the list box > click "Control" button > 'Data' tab

Reproduced since LO 3.3.0.4, also AOO 4.1.0. Seems inherited from OOO
Comment 8 QA Administrators 2015-09-04 02:48:55 UTC Comment hidden (obsolete)
Comment 9 Buovjaga 2015-11-19 16:13:20 UTC
Still repro.

Severity minor as it concerns XLS and ODS works.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 66d2b72667792cb18b25805387824d636e2a455c
TinderBox: Win-x86@39, Branch:master, Time: 2015-11-18_02:35:53
Locale: fi-FI (fi_FI)
Comment 10 raal 2016-01-02 08:10:18 UTC
*** Bug 96846 has been marked as a duplicate of this bug. ***
Comment 11 QA Administrators 2017-01-03 19:54:45 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170103